#!/usr/bin/env python3.5
# Copyright 2017 Digital
#
# This file is part of BeeWatch.
#
# BeeWatch is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# BeeWatch is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with BeeWatch.  If not, see <http://www.gnu.org/licenses/>.

"""
Installation Guide for BeeWatch
===============================
.. Warning:
    This program only supports GNU/Linux distros. It may work under another platform but I doubt that.

You can install the module, build the documentation or do both (advised ;P). If you install the module after you have built the documentation, the documentation is copied to the folder of the installed module.

Install BeeWatch
================
To install BeeWatch run `./setup.py install` in BeeWatch-X.X. For more options run `./setup.py help` or see `Distributing on python.org <https://docs.python.org/3/distutils/index.html>`_

Build the documentation
=======================
This project uses Sphinx for documentation generation. Sphinx can create the documentation in a variety of formats, eg html, pdf, epub an more. Run ``make help`` to get a list of supported file formats. Let's say you chose html, so you run ``make html``. This create the documentation in `docs/html`. The entry point is `docs/html/index.html`.

"""


from distutils.core import setup

setup_kwargs = {
    'name':'BeeWatch',
    'version': '0.0',
    'description':'Beehive analyzer',
    'author':'Digital',
    'author_email':'digidev@digitalville.de',
    'url':'https://beewatch.readthedocs.io',
    'packages':[
        'beewatch',
        'beewatch.gui',
        'beewatch.pinapi',
        'beewatch.server',
    ],
}

setup(**setup_kwargs)



























#
